Update Webhook Account
curl --request PUT \
--url https://api.linkupapi.com/v1/webhooks/accounts/{account_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"account_name": "<string>",
"webhook_url": "<string>",
"login_token": "<string>",
"country": "<string>",
"qr_webhook_url": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/webhooks/accounts/{account_id}"
payload = {
"account_name": "<string>",
"webhook_url": "<string>",
"login_token": "<string>",
"country": "<string>",
"qr_webhook_url": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_name: '<string>',
webhook_url: '<string>',
login_token: '<string>',
country: '<string>',
qr_webhook_url: '<string>'
})
};
fetch('https://api.linkupapi.com/v1/webhooks/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/webhooks/accounts/{account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'account_name' => '<string>',
'webhook_url' => '<string>',
'login_token' => '<string>',
'country' => '<string>',
'qr_webhook_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/webhooks/accounts/{account_id}"
payload := strings.NewReader("{\n \"account_name\": \"<string>\",\n \"webhook_url\": \"<string>\",\n \"login_token\": \"<string>\",\n \"country\": \"<string>\",\n \"qr_webhook_url\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.linkupapi.com/v1/webhooks/accounts/{account_id}")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"account_name\": \"<string>\",\n \"webhook_url\": \"<string>\",\n \"login_token\": \"<string>\",\n \"country\": \"<string>\",\n \"qr_webhook_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/webhooks/accounts/{account_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_name\": \"<string>\",\n \"webhook_url\": \"<string>\",\n \"login_token\": \"<string>\",\n \"country\": \"<string>\",\n \"qr_webhook_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "60f7b3b3e4b0c8a2d8e9f1a2",
"login_token": "AQEDARCvKh...",
"country": "US",
"webhook_url": "https://new-webhook.com/linkedin",
"account_name": "Updated Account Name",
"is_active": true,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T12:30:00Z"
}
Webhook (Real Time)
Update Webhook Account
Update an existing webhook account
PUT
/
v1
/
webhooks
/
accounts
/
{account_id}
Update Webhook Account
curl --request PUT \
--url https://api.linkupapi.com/v1/webhooks/accounts/{account_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"account_name": "<string>",
"webhook_url": "<string>",
"login_token": "<string>",
"country": "<string>",
"qr_webhook_url": "<string>"
}
'import requests
url = "https://api.linkupapi.com/v1/webhooks/accounts/{account_id}"
payload = {
"account_name": "<string>",
"webhook_url": "<string>",
"login_token": "<string>",
"country": "<string>",
"qr_webhook_url": "<string>"
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
account_name: '<string>',
webhook_url: '<string>',
login_token: '<string>',
country: '<string>',
qr_webhook_url: '<string>'
})
};
fetch('https://api.linkupapi.com/v1/webhooks/accounts/{account_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linkupapi.com/v1/webhooks/accounts/{account_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'account_name' => '<string>',
'webhook_url' => '<string>',
'login_token' => '<string>',
'country' => '<string>',
'qr_webhook_url' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.linkupapi.com/v1/webhooks/accounts/{account_id}"
payload := strings.NewReader("{\n \"account_name\": \"<string>\",\n \"webhook_url\": \"<string>\",\n \"login_token\": \"<string>\",\n \"country\": \"<string>\",\n \"qr_webhook_url\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.linkupapi.com/v1/webhooks/accounts/{account_id}")
.header("x-api-key", "<x-api-key>")
.header("Content-Type", "application/json")
.body("{\n \"account_name\": \"<string>\",\n \"webhook_url\": \"<string>\",\n \"login_token\": \"<string>\",\n \"country\": \"<string>\",\n \"qr_webhook_url\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linkupapi.com/v1/webhooks/accounts/{account_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["x-api-key"] = '<x-api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"account_name\": \"<string>\",\n \"webhook_url\": \"<string>\",\n \"login_token\": \"<string>\",\n \"country\": \"<string>\",\n \"qr_webhook_url\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "60f7b3b3e4b0c8a2d8e9f1a2",
"login_token": "AQEDARCvKh...",
"country": "US",
"webhook_url": "https://new-webhook.com/linkedin",
"account_name": "Updated Account Name",
"is_active": true,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T12:30:00Z"
}
Update the configuration of an existing LinkedIn or WhatsApp webhook account.
Header Parameters
Path Parameters
Body Parameters
LinkedIn-specific Parameters
New country code for proxy selection. Available: US, CA, MX, CR, BR, AR, CL, CO, FR, UK, DE, NL, ES, IT, PT, BE, CH, AT, IE, SE, DK, FI, LT, LV, EE, PL, CZ, SK, HU, RO, UA, SI, HR, RS, AL, GR, CY, TR, IL, AE, EG, ZA, IN, PK, BD, JP, SG, MY, ID, TH, PH, AU
WhatsApp-specific Parameters
Response
{
"id": "60f7b3b3e4b0c8a2d8e9f1a2",
"login_token": "AQEDARCvKh...",
"country": "US",
"webhook_url": "https://new-webhook.com/linkedin",
"account_name": "Updated Account Name",
"is_active": true,
"created_at": "2024-01-01T00:00:00Z",
"updated_at": "2024-01-01T12:30:00Z"
}
Notes
- All body parameters are optional - only provide the fields you want to update
- If monitoring is active, changes will take effect immediately
- Updating the login token may require restarting monitoring for the changes to take effect
Was this page helpful?